Запомняне

» Здравейте
[ Вход :: Регистриране ]
 » Начало » Li Форуми » Help & Support » Applications » Qt SDK install
Тема: Qt SDK install
Мнение #1 Skip to the next post in this topic.
Написано на: Март 13 2009, 11:56

No avatar chosen




Група: Li fans
Мнения: 6
Регистриран: Ноември 2007

Оценка: няма

Offline
Здравейте
използвам ubuntu 8.10 32bit
разбрах че с Qt SDK може да се програмира под линукс и реших да го изпробвам
изтеглих файлът .bin
отидох в неговата директория
написах в конзолата
Код: 
chmod u+x qt-sdk-linux-x86-opensource-2009.01.bin

после
Код: 
./qt-sdk-linux-x86-opensource-2009.01.bin

но в конзолата ми изписва това
Код: 
chavdar@chavdar-desktop:~$ cd downloads
chavdar@chavdar-desktop:~/downloads$ dir
qt-sdk-linux-x86-opensource-2009.01.bin
chavdar@chavdar-desktop:~/downloads$ chmod u+x qt-sdk-linux-x86-opensource-2009.01.bin
chavdar@chavdar-desktop:~/downloads$ chmod u+x qt-sdk-linux-x86-opensource-2009.01.bin
chavdar@chavdar-desktop:~/downloads$ ./qt-sdk-linux-x86-opensource-2009.01.bin
Segmentation fault
chavdar@chavdar-desktop:~/downloads$

GA-MA790X-DS4 | AMD Athlon 64 X2 5000+ AM2 | 2x1GB A-Data 1066 RAM | ATI Radeon™ HD 3600 Series

Контакти:  killersoft

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #2 Skip to the next post in this topic.
Skip to the previous post in this topic. Написано на: Март 13 2009, 12:33

No avatar chosen




Група: Li gurus
Мнения: 1489
Регистриран: Април 2005

Оценка: 5

Offline
Segmentation fault е грешка при достъп до паметта - ако системата ти продължи да гърми с подобни грешки прегледай в какво състояние е RAM паметта - може да си заминава

по темата QT е просто една от многото графични библиотеки които можеш да ползваш в linux за създаване на GUI (не казвам програмиране защото можеш да си програмираш на какъвто език желаеш)

щом ползваш ubuntu можеш да си инсталираш QT и от хранилищата
Код: 
sudo apt-get install libqt4-dev


освен това ще ти трябват разни помощни инструменти като развойни среди (и задължително компилатор)

Код: 
sudo apt-get install qt4-dev-tools qdevelop build-essential


така както си задал въпросът си не става ясно дали изобщо имаш някаква представа от програмиране - така че ако си начинаещ по добре кажи какво искаш да постигнеш (научиш) за да ти се помогне по точно

Редактирано от mcwolf на Март 13 2009, 12:35
Контакти:  mcwolf

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
WEB  
Мнение #3
Skip to the previous post in this topic. Написано на: Март 13 2009, 16:31

Avatar




Група: Li fans
Мнения: 763
Регистриран: Февруари 2008

Оценка: 5

Offline
Quote: (killersoft @ Mar. 13 2009, 11:56)

Здравейте
използвам ubuntu 8.10 32bit
разбрах че с Qt SDK може да се програмира под линукс и реших да го изпробвам
изтеглих файлът .bin
отидох в неговата директория
написах в конзолата
Code Sample: 
chmod u+x qt-sdk-linux-x86-opensource-2009.01.bin

после
Code Sample: 
./qt-sdk-linux-x86-opensource-2009.01.bin

но в конзолата ми изписва това
Code Sample: 
chavdar@chavdar-desktop:~$ cd downloads
chavdar@chavdar-desktop:~/downloads$ dir
qt-sdk-linux-x86-opensource-2009.01.bin
chavdar@chavdar-desktop:~/downloads$ chmod u+x qt-sdk-linux-x86-opensource-2009.01.bin
chavdar@chavdar-desktop:~/downloads$ chmod u+x qt-sdk-linux-x86-opensource-2009.01.bin
chavdar@chavdar-desktop:~/downloads$ ./qt-sdk-linux-x86-opensource-2009.01.bin
Segmentation fault
chavdar@chavdar-desktop:~/downloads$

я постави едно sudo пред ./qt-sdk-linux-x86-opensource-2009.01.bin

Контакти:  altoas

  • AOL  AOL:
  • ICQ  ICQ:
  • MSN  MSN:
  • YIM  Yahoo IM:
Общо 2 отговор(а) от Март 13 2009, 11:56 до сега
 » Начало » Li Форуми » Help & Support » Applications » Qt SDK install

© 2014 Linux Index Project
Powered by iF 1.0.0 © 2006 ikonForums